import hydra
import sys
sys.path.append("../src/affinityenhancer/preprocess/")
from fold_matched_data import fold_heavy_light
dotenv.load_dotenv(".env")


@hydra.main(version_base=None, config_path="../configs", config_name="fold")
def run(cfg: DictConfig) -> None:    
    settings = hydra.utils.instantiate(cfg.fold.settings)
    settings_dict = {}
    for item in settings:
        settings_dict.update(dict(item=item))
    print(settings_dict)

    fold_heavy_light(settings_dict, cfg.names)


run()
